#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int chrcount(char c, char s[])
{
	int count = 0;
	for(int i = 0 ; i < strlen(s) - 1 ; i++)
		if(s[i] == c)
			count++;

		return count;
}

int min(int arr[], int n)
{
	int min = 0;
	for(int i = 0 ; i < n ; i++)
		if(arr[min] > arr[i])
			min = i;

	return min;
}

int main() 	
{
	char t[200000],s[10];
	fgets(t, sizeof(t), stdin);
	fflush(stdin);
	fgets(s, sizeof(s), stdin);
	for(int i = 0 ; i < strlen(s) - 1 ; i++)
		if(strchr(t, s[i]) == NULL)
			return 0;

	int countarr[strlen(s) - 1];
	for(int i = 0 ; i < strlen(s) - 1 ; i++)
		countarr[i] = chrcount(s[i],t);

	printf("%d\n",countarr[min(countarr, strlen(s) - 1)]);
	
	for(int i = 0 ; i < strlen(t) ; i++)
		if(t[i] != s[min(countarr, strlen(s) - 1)])
			printf("%c",t[i]);
		else
			printf("*");
	
	return 0;
}